### Method

# Gck Object cache_lookup_async

#### Declaration [src]

    void
    gck_object_cache_lookup_async (
      GckObject* object,
      const gulong* attr_types,
      gint n_attr_types,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Lookup attributes in the cache, or retrieve them from the object if necessary.

If `object` is a `GckObjectCache` then this will lookup the attributes there first if available, otherwise will read them from the object and update the cache.

If `object` is not a `GckObjectCache`, then the attributes will simply be read from the object.

This will return immediately and complete asynchronously.

#### Parameters

`attr_types`

  Type: An array of `gulong`

  The types of attributes to update.

  The length of the array is specified in the `n_attr_types` argument.
  The data is owned by the caller of the function.

`n_attr_types`

  Type: `gint`

  The number of attribute types.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.